OpenMM

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Pages
Public Member Functions | List of all members
LocalEnergyMinimizer Class Reference

Given a Context, this class searches for a new set of particle positions that represent a local minimum of the potential energy. More...

Inherits _object.

## Public Member Functions
def | __init__
def | minimize
| minimize(Context context, double tolerance=10, int maxIterations=0) More...
def | __del__
| del(OpenMM::LocalEnergyMinimizer self) More...

## Detailed Description

Given a Context, this class searches for a new set of particle positions that represent a local minimum of the potential energy.

The search is performed with the L-BFGS algorithm. Distance constraints are enforced during minimization by adding a harmonic restraining force to the potential function. The strength of the restraining force is steadily increased until the minimum energy configuration satisfies all constraints to within the tolerance specified by the Context's Integrator.

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | args,
|  |  | kwargs
| ) |  |

def __del__ | ( |  | self | ) |

del(OpenMM::LocalEnergyMinimizer self)

References simtk.openmm.openmm.stripUnits().

## Member Function Documentation

def minimize | ( |  | args | ) |

minimize(Context context, double tolerance=10, int maxIterations=0)

Search for a new set of particle positions that represent a local potential energy minimum. On exit, the Context will have been updated with the new positions.

Parameters

  context | a Context specifying the System to minimize and the initial particle positions
  tolerance | this specifies how precisely the energy minimum must be located. Minimization will be halted once the root-mean-square value of all force components reaches this tolerance. The default value is 10.
  maxIterations | the maximum number of iterations to perform. If this is 0, minimation is continued until the results converge without regard to how many iterations it takes. The default value is 0.

References simtk.openmm.openmm.stripUnits().

The documentation for this class was generated from the following file:

- openmm.py